
#include "ScreenManager.h"
#include "PB_Functions.h"


extern _stdcall struct _sm_Cursor* PB_smCatchMouseCursor(long *data)
{
   if (data)
     {
       long width  = data[0];
       long height = data[1];
       
       long offX   = data[2];
       long offY   = data[3];
       
       data += 4;
     
       if ((width>0) And (height>0))
         {
           //long *p[height][width];
		   //p = (long[][]*)data;
         
           struct _sm_Cursor *cursor = PB_AllocateMemory( sizeof(struct _sm_Cursor) );
           if (cursor)
             {
			   
			   cursor->width  = width;
			   cursor->height = height;
			   cursor->offX   = offX;
			   cursor->offY   = offY;
			 
               if ( cursor->sprite = PB_CreateSprite2( PB_Any,width,height,0) )
                 {
                   if ( PB_StartDrawing(PB_SpriteOutput( cursor->sprite )) )
                     {
                       for (long y=0; y<height; y++)
                         for (long x=0; x<width; x++)
						   {
                             //PB_Plot2(x,y,p[y][x]);
						     PB_Plot2(x,y,*data);
							 data++;
						   }

                       PB_StopDrawing();
                     }
                   return cursor;
				 }
			   else
				 {
				   PB_FreeMemory( cursor );
				 }
             }
         }
     }
  return 0;
}




