
#include "ScreenManager.h"
#include "PB_Functions.h"


extern _stdcall long PB_smCloseWindow(struct _sm_Window *window)
{
   if (window==0)
     return 0;
	 
   
	 if (sm_WindowArea)
   {
     long last = sm_WindowAreaSize - 1;
     
     long index = -1;
     long i;

     for (i=0; i<=last; i++)
       {
         if (sm_WindowArea->win[i] == window)
           {
             index = i;
             break;
           }
       }

     if (index==-1)
       {
         return 0;
       }
     else
       {
         if ( window->WinProc )
					 window->WinProc(window,SMM_CLOSE,0,0);

         if ( window->title )
				   PB_FreeMemory( window->title );
					   
				 if ( window->sprite )
					 PB_FreeSprite( window->sprite);
				 
				 PB_FreeMemory( window );
         
         sm_WindowArea->win[index] = 0;

				 return 1;
       }
     
   }
 return 0;
}


