
#include "..\ScreenManager.h"
#include "..\PB_Functions.h"


extern _stdcall void sub_smMouseBtnDownLeft(struct _sm_Window *window, long MouseX, long MouseY)
{
  long offsetX=0, offsetY=0;
  
  if (!window) return; // no window
  
  if (window->border Or window->sizeable)
  {
    offsetX = 2;
    offsetY = 2;
    
    long border_mode = sub_smMouseCheckAgainstWindowBorder(window, MouseX, MouseY);
    
    if (border_mode > 10)
    {
      
      mBtn_mode_left_args[0] = MouseX - window->rect.x;
      mBtn_mode_left_args[1] = MouseY - window->rect.y;
      mBtn_mode_left_args[2] = window->rect.x;
      mBtn_mode_left_args[3] = window->rect.y;
      mBtn_mode_left_args[4] = window->rect.width;
      mBtn_mode_left_args[5] = window->rect.height;
    
      switch (border_mode)
      {
        case 11: // sizeable border, top
        mBtn_mode_left = 11;
          break;
        case 12: // sizeable border, right
        mBtn_mode_left = 12;
          break;
        case 13: // sizeable border, bottom
        mBtn_mode_left = 13;
          break;
        case 14: // sizeable border, left
        mBtn_mode_left = 14;
          break;
      };
      return;
    }
    else if (border_mode)
    return;

    }
  
  
  if ( window->titlebar )
  {
      if (
      //( MouseX <= window->rect.x + window->rect.width)
          //And
          ( MouseY <= window->rect.y + offsetY + sm_TitlebarHeight)
         )
        {
          // Titlebar-Click: move-mode
          mBtn_mode_left = 1;
          mBtn_mode_left_args[0] = MouseX - window->rect.x;
          mBtn_mode_left_args[1] = MouseY - window->rect.y;
          return;
        }
    offsetY += sm_TitlebarHeight;
  }
  
  //else
    // send mouse click to current window

}



