#define PB_Sprite_Memory        0  //1
#define PB_Any                 -1


// SPRITE
extern _stdcall long PB_InitSprite(void);

extern _stdcall long PB_CreateSprite2(long sprite, long width, long height, long mode);
extern _stdcall long PB_FreeSprite(long sprite);

extern _stdcall long PB_DisplaySprite(long sprite, long x, long y);
extern _stdcall long PB_DisplayTransparentSprite(long sprite, long x, long y);

extern _stdcall long PB_SpriteOutput(long sprite);
extern _stdcall long PB_ScreenOutput();


// 2D-DRAWING
extern _stdcall long PB_StartDrawing(long output);
extern _stdcall long PB_StopDrawing(void);

extern _stdcall long PB_Box (long x, long y, long width, long height);
extern _stdcall long PB_Box2(long x, long y, long width, long height, long color);

extern _stdcall long PB_Plot (long x, long y);
extern _stdcall long PB_Plot2(long x, long y, long color);

extern _stdcall long PB_Line (long x, long y, long width, long height);
extern _stdcall long PB_Line2(long x, long y, long width, long height, long color);

extern _stdcall long PB_LineXY (long x1, long y1, long x2, long y2);
extern _stdcall long PB_LineXY2(long x1, long y1, long x2, long y2, long color);

extern _stdcall long PB_Locate(long x, long y);
extern _stdcall long PB_DrawText(char *text);
extern _stdcall long PB_FrontColor(unsigned char r, unsigned char g, unsigned char b);
extern _stdcall long PB_DrawingMode(long mode);


// KEYBOARD
extern _stdcall long PB_InitKeyboard(void);
extern _stdcall long PB_ExamineKeyboard(void);

extern _stdcall long PB_KeyboardPushed(long key);
extern _stdcall long PB_KeyboardReleased(long key);
//extern _stdcall long PB_KeyboardInkey(void);


// MOUSE
extern _stdcall long PB_InitMouse(void);
extern _stdcall long PB_ExamineMouse(void);

extern _stdcall long PB_MouseX(void);
extern _stdcall long PB_MouseY(void);
extern _stdcall long PB_MouseDeltaX(void);
extern _stdcall long PB_MouseDeltaY(void);

extern _stdcall long PB_MouseWheel(void);
extern _stdcall long PB_MouseButton(long Button);

extern _stdcall long PB_MouseLocate(long x, long y);
extern _stdcall long PB_ReleaseMouse(long state);


// MEMORY
extern _stdcall void* PB_AllocateMemory(long size);
extern _stdcall long  PB_FreeMemory(void *memory);
extern _stdcall void* PB_ReAllocateMemory(void *memory, long new_size);

