
#include "PB_Functions.h"
#include "ScreenManager.h"
//#include <malloc.h>
#include <windows.h>

_stdcall long sm_MainWindowProc(struct _sm_Window *window,long msg, long wParam, long lParam)
{
   switch (msg)
   {
     case SMM_PAINT:
       if (PB_StartDrawing(PB_SpriteOutput(window->sprite)))
         {
           PB_Box2 (wParam,lParam,window->client_width,window->client_height,PB_smGetWindowColor(window,0));//smRGB(0x83,0x99,0xB1));
           PB_StopDrawing();
           return 1;
         }
   }
   return 0;
}

extern _stdcall void* PB_smOpenWindow(long x, long y, long width, long height, unsigned long flags, char *text)
{
  long index;

  if (sm_WindowArea)
    {
      //sm_WindowArea = realloc( sm_WindowArea, _msize(sm_WindowArea)+sizeof(struct _sm_Window*) );
      //index = ( _msize(sm_WindowArea) / sizeof(struct _sm_Window*) ) - 1 ;
    
      index = -1;
      
      for (int i=0; i<sm_WindowAreaSize; i++)
        {
          if (sm_WindowArea->win[i]==0)
            {
              index = i;
              break;
            }
        }
      
      if (index == -1)
      {
        struct _sm_WindowArea *new_mem = PB_ReAllocateMemory( sm_WindowArea, (sizeof(struct _sm_Window*) * sm_WindowAreaSize) + (sizeof(struct _sm_Window*) * 256) );
        if (new_mem)
          {
            sm_WindowArea      = new_mem;
            index              = sm_WindowAreaSize;
            sm_WindowAreaSize += 256;
            
            //Beep(800,50);
            
          }
        else return 0;
      }
      
    }
  else
    {
      //sm_WindowArea = malloc( sizeof(struct _sm_Window*) );
      sm_WindowArea = PB_AllocateMemory( sizeof(struct _sm_Window*) * 256 );
      
      if (sm_WindowArea)
        sm_WindowAreaSize = 256;
      else
        return 0;
      
      index = 0;
    }

  if (sm_WindowArea)
     {
       long add_width = 0, add_height = 0;

       if (flags==0) flags = SM_Window_Titlebar;

       if (((flags&SM_Window_Borderless) == 0) Or flags&SM_Window_Sizeable)
         {
           add_width  += 4;
           add_height += 4;
         }
       
       if (flags&SM_Window_Titlebar)
         {
           add_height += sm_TitlebarHeight;
         }

       struct _sm_Window *window;
       if (window = sub_smCreateWindow(x,y,width+add_width,height+add_height,text,0,sm_MainWindowProc));
         {
           sm_WindowArea->win[index] = window;

           window->client_width  = width;
           window->client_height = height;

           if (flags&SM_Window_Titlebar)        window->titlebar     = 1;
           if ((flags&SM_Window_Borderless)==0) window->border       = 1;
           if (flags&SM_Window_Sizeable)        window->sizeable     = 1;
           if (flags&SM_Window_MaximizeGadget)  window->btn_maximize = 1;
           if (flags&SM_Window_MinimizeGadget)  window->btn_minimize = 1;

           if (((flags&SM_Window_Borderless) == 0) Or flags&SM_Window_Sizeable)
             {
               add_width  -= 2;
               add_height -= 2;
             }

					 if ( window->WinProc )
             window->WinProc(window,SMM_PAINT,add_width,add_height);

           if (flags&SM_Window_Invisible)
             {
               window->hidden = 1;
               sub_smDrawCaptionAndBorder(window,0);
             }
           else
             {
               PB_smActivateWindow(window);
             }
           
           return window;
         }

        
/*           if (PB_StartDrawing(PB_SpriteOutput(sprite)))
             {
               PB_Box2 (    0   ,    0    , width  , height, smRGB(0x83,0x99,0xB1)); // RGB($83,$99,$B1)
               PB_Box2 (    2   ,    2    , width-5,   18  , 0x7D654F); // RGB($4F,$65,$7D) -> RGB($80,$B4,$D0)
               PB_Line2(    1   ,    1    ,   0    , height, 0xD9CCC1);
               PB_Line2(    1   ,    1    , width  ,   0   , 0xD9CCC1);
               PB_Line2( width-2,    1    ,   0    , height, 0x7D654F);
               PB_Line2(    1   , height-2, width  ,   0   , 0x7D654F);
               PB_Line2( width-1,    0    ,   0    , height, 0x000000);
               PB_Line2(    0   , height-1, width  ,   0   , 0x000000);
               PB_DrawingMode(1);
               PB_FrontColor(0xFF,0xFF,0xFF);
               PB_Locate(6,3);
               PB_DrawText(text);
               PB_StopDrawing();
             }
*/           

     }

 return 0;
}
