
#include "ScreenManager.h"
#include "PB_Functions.h"


extern _stdcall long PB_smSetWindowTitle(struct _sm_Window *window, char *text)
{
   if (window==0)
     return 0;
     
   if ( window->title )
     PB_FreeMemory( window->title );
     
   if (text)
     {
       long len=1;
       char *temp = text;

       while (*temp)
         {
           temp++;
           len++;
         }

       window->title = PB_AllocateMemory( len+1 );  //malloc( len+1 );
       if (window->title)
         for (long i=0; i<len; i++)
           window->title[i] = text[i];
    		   
	   sub_smDrawCaptionAndBorder( window,
		                           ( window == sm_CurrentWindow )
			                     );
	   
	   return 1;
     }

     
 return 0;
}


