
#include "..\ScreenManager.h"
#include "..\PB_Functions.h"


extern _stdcall long sub_smDrawCaptionAndBorder(struct _sm_Window *window,long state)
{
   if (window)
     {
       long width, height;

       if (window->state_maximized)
         {
           width  = window->rect_maximized.width;
           height = window->rect_maximized.height;
         }
       else
         {
           width  = window->rect.width;
           height = window->rect.height;
         }
       if (window->border Or window->sizeable Or window->titlebar)
       {
         if (PB_StartDrawing(PB_SpriteOutput(window->sprite)))
           {
              if (window->border Or window->sizeable)
                {
                  PB_Line2(    0   ,    0    ,   0    , height, PB_smGetWindowColor(window,color_3D_shadow1));
                  PB_Line2(    0   ,    0    , width  ,   0   , PB_smGetWindowColor(window,color_3D_shadow1));
                  PB_Line2(    1   ,    1    ,   0    , height, PB_smGetWindowColor(window,color_3D_shadow2));
                  PB_Line2(    1   ,    1    , width  ,   0   , PB_smGetWindowColor(window,color_3D_shadow2));
                  PB_Line2( width-2,    1    ,   0    , height, PB_smGetWindowColor(window,color_3D_shadow3));
                  PB_Line2(    1   , height-2, width  ,   0   , PB_smGetWindowColor(window,color_3D_shadow3));
                  PB_Line2( width-1,    0    ,   0    , height, PB_smGetWindowColor(window,color_3D_shadow4));
                  PB_Line2(    0   , height-1, width  ,   0   , PB_smGetWindowColor(window,color_3D_shadow4));
                }
              if (window->titlebar)
                {
                  long x = 0, y = 0;

                  if (window->border Or window->sizeable)
                    {
                      x = 2;
                      y = 2;
                    }

                  //if (state) PB_Box2(x, y,
                  //                   width-x*2, sm_TitlebarHeight,
                  //                   PB_smGetWindowColor(window,color_titlebar_active1));
                  //else       PB_Box2(x, y,
                  //                   width-x*2, sm_TitlebarHeight,
                  //                   PB_smGetWindowColor(window,color_titlebar_inactive1));

                  if (state) sub_smDrawGradient(
                                     x, y,
                                     width-x*2, sm_TitlebarHeight,
                                     PB_smGetWindowColor(window,color_titlebar_active1),
                                     PB_smGetWindowColor(window,color_titlebar_active2));
                  else       sub_smDrawGradient(
                                     x, y,
                                     width-x*2, sm_TitlebarHeight,
                                     PB_smGetWindowColor(window,color_titlebar_inactive1),
                                     PB_smGetWindowColor(window,color_titlebar_inactive2));


                  if (window->title)
                    {
                      long textcolor;
                     
                      if (state) textcolor = PB_smGetWindowColor(window,color_titlebar_text_active);
                      else       textcolor = PB_smGetWindowColor(window,color_titlebar_text_inactive);
                    
                      PB_DrawingMode(1);
                      PB_FrontColor( smRed  (textcolor),
                                     smGreen(textcolor),
                                     smBlue (textcolor)  );
                      PB_Locate(4+x,1+y);
                      PB_DrawText(window->title);
                    }
                }
             PB_StopDrawing();
             return 1;
           }
         
        }
     }
 
 return 0;
}


