;#SM_Window_MinimizeGadget = (1<<0) ; Adds the minimize gadget To the window title bar.
;#SM_Window_MaximizeGadget = (1<<1) ; Adds the maximize gadget To the window title bar.
#SM_Window_Sizeable       = (1<<2) ; Adds the sizeable feature To a window. 
#SM_Window_Invisible      = (1<<3) ; Creates the window but don't display.
#SM_Window_Titlebar       = (1<<4) ; Creates a window with a titlebar (default). 
#SM_Window_Borderless     = (1<<5) ; Creates a window without any borders. 


#sw = 1280
#sh = 1024
#sn = "ScreenManager Test"

If InitScreenManager()=0
  MessageRequester("ERROR","Cant init screen !"):End
EndIf

If OpenScreen(#sw,#sh,32,#sn)=0
 If OpenScreen(#sw,#sh,24,#sn)=0
  If OpenScreen(#sw,#sh,16,#sn)=0
    MessageRequester("ERROR","Cant open screen !"):End
EndIf:EndIf:EndIf

win1= smOpenWindow(100,100,300,200,0,"Window 1")
If win1=0
  CloseScreen():MessageRequester("ERROR","Cant create Window !"):End
EndIf

win2= smOpenWindow(200,400,300,200,#SM_Window_Sizeable,"Window 2")
If win2=0
  CloseScreen():MessageRequester("ERROR","Cant create Window !"):End
EndIf

win3= smOpenWindow(300,700,300,200,#SM_Window_Titlebar|#SM_Window_Borderless,"Fenster 3")
If win3=0
  CloseScreen():MessageRequester("ERROR","Cant create Window !"):End
EndIf

win4= smOpenWindow(450,100,300,200,#SM_Window_Borderless,"Fenster 3")
If win4=0
  CloseScreen():MessageRequester("ERROR","Cant create Window !"):End
EndIf


Repeat
  FlipBuffers()
  If IsScreenActive()
    ClearScreen($4F,$65,$7D)
    RunScreenManager()
  EndIf
  
  If KeyboardReleased(#PB_KEY_F1)
    win1_show ! 1
    smHideWindow(win1,win1_show)
  EndIf
  If KeyboardReleased(#PB_KEY_F2)
    win2_show ! 1
    smHideWindow(win2,win2_show)
  EndIf
  If KeyboardReleased(#PB_KEY_F3)
    win3_show ! 1
    smHideWindow(win3,win3_show)
  EndIf
  If KeyboardReleased(#PB_KEY_F4)
    win4_show ! 1
    smHideWindow(win4,win4_show)
  EndIf

Until KeyboardPushed(#PB_KEY_ESCAPE)

; ExecutableFormat=Windows
; Executable=G:\-SOURCE-\-LIBs-\PureTools1\ScreenManager_SRC\EXAMPLES\ScreenManager\Test 001.exe
; DisableDebugger
; EOF