;#sw =  800
;#sh =  600
;#sw = 1024
;#sh =  768
#sw = 1280
#sh = 1024

#sn = "ScreenManager Test"

If InitScreenManager()=0
  MessageRequester("ERROR","Cant initialize screen !"):End
EndIf

If MessageBox_(0,"Run in fullscreen mode ?","Question",#MB_ICONQUESTION|#MB_YESNO)=#IDYES
  fullscreen = #TRUE
EndIf

;SetRefreshRate(100)

If fullscreen
  If OpenScreen(#sw,#sh,32,#sn)=0
   If OpenScreen(#sw,#sh,24,#sn)=0
    If OpenScreen(#sw,#sh,16,#sn)=0
      MessageRequester("ERROR","Cant open screen ("+Str(#sw)+"x"+Str(#sh)+"= !"):End
  EndIf:EndIf:EndIf
Else
  OpenWindow(1,0,0,#sw,#sh,#PB_Window_SystemMenu,#sn)
  If OpenWindowedScreen(WindowID(),0,0,#sw,#sh,0,0,0)=0
    MessageRequester("ERROR","Cant open screen ("+Str(#sw)+"x"+Str(#sh)+"= !"):End
  EndIf
EndIf

For a = 1 To 50 ; open 50 random Windows
  w = Random(400)+150
  h = Random(300)+50
  If smOpenWindow(Random(#sw-w),Random(#sh-h),w,h,(1<<2)|(1<<4),"Window "+Str(a))=0
    CloseScreen():MessageRequester("ERROR","Cant create Window !"):End
  EndIf
Next a

;ReleaseMouse(1)
;Beep_(800,200)

Repeat
  FlipBuffers(0)
  If IsScreenActive()
    ClearScreen($4F,$65,$7D)
    ;ClearScreen(0,0,0)
    RunScreenManager()


    If StartDrawing(ScreenOutput())
       DrawingMode(1)
       FrontColor($00,$FF,$FF)
       DrawText("FPS: "+Str(FPS))
      StopDrawing()
    EndIf

    current = ElapsedMilliseconds()
    If current >= old_fps_time + 1000
      old_fps_time = current
      FPS          = CurrentFPS
      CurrentFPS   = 1
    Else
      CurrentFPS   + 1
    EndIf
    
    If fullscreen=0
      Select WindowEvent()
        Case #PB_Event_CloseWindow
          Quit = 1
        Default
          Delay(1)
      EndSelect
    Else
      ;Delay(1)
    EndIf

  EndIf
Until KeyboardPushed(#PB_KEY_ESCAPE) Or Quit

; ExecutableFormat=Windows
; Executable=G:\-SOURCE-\-LIBs-\PureTools1\ScreenManager_SRC\EXAMPLES\ScreenManager\Test 002.exe
; DisableDebugger
; EOF